<?php get_header(); ?>
<?php get_sidebar(); ?>

<div id="maincolumn">

	<div class="post">
	 	  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  <?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle">Архив на категорию &#8216;<?php single_cat_title(); ?>&#8217; </h2>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h2 class="pagetitle">Архив на метку &#8216;<?php single_tag_title(); ?>&#8217;</h2>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">Архив на день <?php the_time('F jS, Y'); ?></h2>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">Архив на месяц <?php the_time('F, Y'); ?></h2>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">Архив на год <?php the_time('Y'); ?></h2>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Архив автора</h2>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle">Архив блога</h2>
 	  <?php } ?>
	</div> 
	  
	<?php if (have_posts()) : ?><?php while (have_posts()) : the_post(); ?>

	<div class="post" id="post-<?php the_ID(); ?>">
		<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
		<div class="entry">

			<?php the_excerpt(); ?>

		</div>
		<div class="postmetadata">
		<span class="right">
			<?php comments_rss_link('RSS 2.0'); ?> | <?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) { ?> <a href="<?php trackback_url(true); ?>" rel="trackback">Trackback</a>
		</span>
		<?php the_time('F jS, Y') ?> <br />
		<span class="right">
			<?php if (function_exists('the_tags') ): ?><?php _e('Tags: '); ?><?php the_tags('', ', ',''); ?><?php endif; ?>
		</span>
			Категория: <?php the_category(', ') ?><?php } edit_post_link(' Изменить',' | ',''); ?>	
	</div>
	</div>

	<?php endwhile; ?>

	<?php include (TEMPLATEPATH . '/browse.php'); ?>

	<?php else : ?>

	<div class="post">
		<h2><?php _e('Не найдено'); ?></h2>
		<div class="entry">
			<p><?php _e('Извините, ничего не найдено.'); ?></p>
		</div>
	</div>

	<?php endif; ?>

</div>

<?php include (TEMPLATEPATH . '/rightsidebar.php'); ?>
<?php get_footer(); ?>